require "PodspecUploadHelper/version"
require "fastlane"

class PodspecUploadHelper

  def self.increment_version_number(new_version, xcodeproj)
        printTitle("Incrementing the version number to #{new_version}")
        Actions::IncrementVersionNumberAction.run(
          version_number: new_version,
          xcodeproj: xcodeproj)
      end

      def self.increment_build_number(xcodeproj)
        printTitle("Incrementing the Build number")
        Actions::IncrementBuildNumberAction.run(xcodeproj: xcodeproj)
      end

      def self.increment_podspec_version(new_version, path_to_podspec)
        printTitle("Incrementing the podspec version to #{new_version}")

        Actions::VersionBumpPodspecAction.run(path: path_to_podspec, version_number: new_version)
      end

      def self.push_changes(new_version)
        printTitle("Pushing changes to origin")

        system 'git add ..'
        system "git commit -m 'Bumping version to #{new_version}'"
        system 'git push -u origin --all' 
      end

      def self.add_release_tag(new_version)
        printTitle("Tagging release to #{new_version}")
        system "git tag #{new_version}"
        system 'git push -u origin --tags'
      end

      def self.update_podspec_repo(path_to_podspec, repo_name)
        printTitle("Pushing podspec file")
        Actions::PodPushAction.run(path:path_to_podspec, repo: repo_name)
      end

      def self.printTitle(text)
        puts "-----------------------------------------------".yellow
        puts text.yellow
        puts "-----------------------------------------------".yellow
      end

end
